import ResponseFactory from './ResponseFactory.ts'
import {Request} from '../Request.ts'

export default class StringResponseFactory extends ResponseFactory {
    constructor(
        public readonly value: string,
    ) {
        super()
    }

    public async write(request: Request): Promise<Request> {
        request.response.body = this.value
        return request
    }
}
