import Instantiable from '../../../di/src/type/Instantiable.ts'
import {DependencyKey} from '../../../di/src/type/DependencyKey.ts'
import {make} from '../../../di/src/global.ts'
import Application from '../lifecycle/Application.ts'

export default class AppClass {
    protected static make<T>(target: Instantiable<T>|DependencyKey, ...parameters: any[]) {
        return make(target, ...parameters)
    }

    protected static get app() {
        return make(Application)
    }

    protected make<T>(target: Instantiable<T>|DependencyKey, ...parameters: any[]) {
        return make(target, ...parameters)
    }

    protected get app() {
        return make(Application)
    }
}
